Workspace

List workspace default streams

List the workspace's default stream templates. These templates are copied into new applications when they are created. Requires workspace:read scope.

GET/workspace/default-streams

Authorization

bearerAuth
AuthorizationBearer <token>

API key. Bearer authentication header of the form Bearer <token>, where <token> is your Workspace or Application API key.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.comworkspace/default-streams" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "message": "Workspace default streams retrieved successfully.",  "data": [    {      "id": "550e8400-e29b-41d4-a716-446655440012",      "name": "nightlies",      "description": "Default nightly stream template",      "retention_days": 30,      "created_at": "2025-06-10T09:15:00.000000Z",      "updated_at": "2025-06-15T14:30:00.000000Z"    }  ]}
{  "message": "Unauthorized"}
{  "message": "This action requires 'resource:action' scope."}